Display IP address of system

Bug #272344 reported by Bryce Harrington on 2008-09-20
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Wishlist
Jamu Kakar
Landscape Server
Wishlist
Unassigned
landscape-client (Ubuntu)
Wishlist
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Wishlist
Unassigned
update-motd (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: update-motd

It'd be nice to have the IP address(es) displayed (if any) with the motd. Would give a quick indication that yes, the network is up, and this is the IP that was assigned.

Related branches

Dustin Kirkland  (kirkland) wrote :

Good idea Bryce!

Actually, though, update-motd is quite simply the generic framework by which such information is presented.

Rather, I think this information should be gathered and presented as part of landscape-sysinfo!

:-Dustin

Changed in update-motd:
status: New → Invalid
Changed in landscape-client:
importance: Undecided → Wishlist
status: New → Confirmed
Changed in landscape-client:
importance: Undecided → Wishlist
status: New → Confirmed
Changed in landscape:
importance: Undecided → Wishlist
milestone: none → thames
status: New → Confirmed
Changed in landscape:
milestone: thames → thames+1
Changed in landscape:
milestone: thames+1 → later
Jonathan Marsden (jmarsden) wrote :

Herewith a first attempt at a sysinfo/networks.py plugin, which delivers this info to the user landscape-sysinfo .

I have a feeling the code is not exactly portable, but it works for me on Ubuntu 8.10 Intrepid i386. I'd be interested to learn of of a more portable way to do this in Python.

The code in networks.py that enumerates network interfaces and grabs the IP address of a given interface is based largely on from the ActiveState "recipies" by Paul Cannon, which were provided under a MIT copyright at

  http://code.activestate.com/recipes/439093/ and http://code.activestate.com/recipes/439094/

Basically the patch just adds the Networks class to the list of classes in deployment.py and the networks.py file implements that class, adding a Header for each active interface.

Sample output of landscape-sysinfo with this plugin in place is:

 System load: 0.45 Processes: 125
  Usage of /: 37.5% of 74.20GB Users logged in: 1
  Memory usage: 70% IP of lo: 127.0.0.1
  Swap usage: 4% IP of eth0: 192.168.1.100

David Futcher (bobbo) on 2010-06-08
tags: added: patch-forwarded-upstream
Jamu Kakar (jkakar) wrote :

Jonathan:

Sorry for ignoring your patch for so long. This was an oversight on
our part. I haven't actually used it, because we now have support
to get information about network devices (that is 32-bit and 64-bit
friendly). I noticed the bug this evening because David was kind
enough to tag it, so I took the opportunity to implement a sysinfo
plugin that presents the same UI you had in your patch.

All landscape-client branches need two reviews before being landed,
so if you feel like checking it out, please leave any comments you
might have on the related merge proposal. Thanks again for the
patch and sorry for not giving it attention for so long.

David:

Thanks for tagging Jonathan's patch!

Changed in landscape-client:
milestone: none → 1.5.3
assignee: nobody → Jamu Kakar (jkakar)
status: Confirmed → In Progress
Changed in landscape:
status: Confirmed → Invalid
Jamu Kakar (jkakar) on 2010-06-10
Changed in landscape-client:
milestone: 1.5.3 → 1.5.2
status: In Progress → Fix Committed
Changed in landscape-client:
status: Fix Committed → Fix Released
Changed in landscape-client:
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2-0ubuntu0.10.10.0

---------------
landscape-client (1.5.2-0ubuntu0.10.10.0) maverick; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.
 -- Free Ekanayaka <email address hidden> Wed, 21 Apr 2010 19:58:10 +0200

Changed in landscape-client (Ubuntu):
status: Confirmed → Fix Released

Accepted landscape-client into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Changed in update-motd (Ubuntu Lucid):
status: New → Invalid
Changed in update-motd (Ubuntu Karmic):
status: New → Invalid
Changed in update-motd (Ubuntu Jaunty):
status: New → Invalid
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2.1-0ubuntu0.9.04.0

---------------
landscape-client (1.5.2.1-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

landscape-client (1.5.2-0ubuntu0.9.04.0) jaunty-proposed; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.
 -- Free Ekanayaka <email address hidden> Mon, 28 Jun 2010 18:07:18 +0200

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2.1-0ubuntu0.9.10.0

---------------
landscape-client (1.5.2.1-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

landscape-client (1.5.2-0ubuntu0.9.10.0) karmic-proposed; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.
 -- Free Ekanayaka <email address hidden> Mon, 28 Jun 2010 18:07:18 +0200

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.5.2.1-0ubuntu0.10.04.0

---------------
landscape-client (1.5.2.1-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * Filter duplicate network interfaces in get_active_interfaces (LP: #597000)

landscape-client (1.5.2-0ubuntu0.10.04.0) lucid-proposed; urgency=low

  * New upstream version (LP: #594594):
    - A new includes information about active network devices and their
      IP address in sysinfo output (LP: #272344).
    - A new plugin collects information about network traffic (#LP :284662).
    - Report information about which packages requested a reboot (LP: #538253).
    - Fix breakage on Lucid AMIs having no ramdisk (LP: #574810).
    - Migrate the inter-process communication system from DBus to Twisted AMP.

landscape-client (1.5.0.1-0ubuntu0.10.04.0) lucid; urgency=low

  * New upstream version
    - Fix smart-update failing its very first run (LP: #562496)
    - Depend on pythonX.Y-dbus and pythonX.Y-pycurl (LP: #563063)
    - Make only one request at a time to retrieve EC2 instances (LP: #567515)
 -- Free Ekanayaka <email address hidden> Mon, 28 Jun 2010 18:07:18 +0200

Changed in landscape-client (Ubuntu Lucid):
status: Fix Committed → Fix Released
puccha (yuri-schaeffer) wrote :

The current implementation does not attempt to list any IPv6 address for the enumerated interfaces. I consider this a bug. It is arguable to only show global addresses (i.e. omit [fe80::]).

Changed in landscape-client:
status: Fix Committed → Fix Released
tags: removed: verification-needed
Thomas Herve (therve) on 2010-11-22
Changed in landscape:
milestone: later → none
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers